*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Custom Properties */

:root {
    --ff-primary: 'Mulish', sans-serif ; 
    --ff-secondary: 'Ubuntu', sans-serif; 
    --fw-reg: 300;
    --fw-bold: 900;

    --clr-light: #fff;
    --clr-med: #000;
    --clr-dark: #303030;
    --clr-accent: #57B289;
    --clr-accent-drk: #468e6e;
    --clr-secondary-accent: #E8614D;

    --fs-h1: 3rem;
    --fs-h2: 2.25rem;
    --fs-h3: 1.25rem;
    --fs-body: 1rem;

    --bs: 0.25em 0.25em 0.75em rgba(0,0,0,.25), 0.125em 0.125em 0.25em rgba(0,0,0,.15);
}

@media (min-width: 800px){
    :root {
        --fs-h1: 4.5rem;
        --fs-h2: 3.75rem;
        --fs-h3: 1.5rem;
        --fs-body: 1.125rem;
    }
}

/*  General Styles */
html {
    scroll-behavior: smooth;
}
body {
    background: var(--clr-light);
    color: var(--clr-dark);
    margin: 0;
    font-family: var(--ff-primary);
    font-size: var(--ff-secondary);
    line-height: 1.6;
}

section {
    padding: 5em 2em;
}

img {
    display: block;
    max-width: 100%; 
}

strong {
    font-weight: var(--fw-bold);
}

:focus {
    outline: 3px solid var(--clr-accent);
    outline-offset: 3px;
}
button:focus {
    outline: none;
}


/* Buttons */
.btn {
    display: inline-block;
    margin: 1em ;
    padding: .5em 2.5em;
    background: var(--clr-accent);
    color: var(--clr-dark);
    text-decoration: none;
    cursor: pointer;
    font-size: .8rem;
    text-transform: uppercase;
    letter-spacing: 2p;
    font-weight: var(--fw-bold);
    transition: transform 200ms ease-in-out;
}
.disabled {
    opacity: .5;
    cursor: not-allowed;
  
}

.btn:hover {
    transform: scale(1.1);
}

/*  Typography */

h1,
h2,
h3 {
    line-height: 1;
    margin: 0;

}

h1 {
    font-size: var(--fs-h1);
}

h2 {
    font-size: var(--fs-h2);
}

h3 {
    font-size: var(--fs-h3);
    font-weight: var(--fw-bold);
    margin-bottom: 1em;
}

.section__title {
margin-bottom: .25em;
}

.section__subtitle--intro {
    font-weight: var(--fw-reg);
}

.section__title--intro strong {
    display: block;
}

.section__subtitle {
    margin: 0;
    font-size: var(--fs-h3);
}

.section__subtitle--intro,
.section__subtitle--about {
    background: var(--clr-accent);
    padding: .25em 1em;
    font-family: var(--ff-secondary);
    margin-bottom: 1em;
}
/*  Header */
header {
    display: flex;
    justify-content: space-between;
    padding: 1em;
}

.logo {
    max-width: 200px;
}
.nav {
    position: fixed;
    background: var(--clr-accent-drk);
    color: var(--clr-light);
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 100;
    
    transform: translateX(100%);
    transition: tranform 250ms cubic-bezier(.5, 0 , .5, 1);
}

.nav__list {
    list-style: none;
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    margin: 0 auto;
    padding: 0;
}

.nav__link {
    color: inherit;
    font-weight: var(--fw-bold);
    font-size: var(--fs-h2);
    text-decoration: none;
}

.nav__link:hover {
    color: var(--clr-accent);
}

.nav-toggle {
    padding: .5em;
    background: transparent;
    border: 0px;
    cursor: pointer;
    position: absolute;
    right: 1em;
    top: 1em;
    z-index: 1000;
    text-decoration: none;
}

.nav-toggle:focus {
    border: 0;
}

.nav-open .nav {
    transform: translateX(0);
}
.nav-open .nav-toggle {
    position: fixed;
}

.nav-open .hamburger {
    transform: rotate(.625turn);
}

.nav-open .hamburger::before {
    transform: rotate(90deg) translateX(-6px);
    
}

.nav-open .hamburger::after {
    opacity: 0;
}
.hamburger {
    display: block;
    position: relative;
}

.hamburger,
.hamburger::before,
.hamburger::after {
    background: var(--clr-accent);
    width: 2em;
    height: 3px;
    border-radius: 1em;
    transition: transform 250ms ease-in-out;
}

.hamburger::before,
.hamburger::after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
}
.hamburger::before { top: 6px }
.hamburger::after { bottom: 6px }

/*  Intro Section */

.intro {
    position: relative;
}

.intro__img {
    box-shadow: var(--bs);
    border-radius: 50%;
}

.section__subtitle--intro {
    text-align: center;
}

@media (min-width: 600px) {
    .intro {
        display: grid;
        width: min-content;
        margin: 0 auto;
        grid-column-gap: 1em;
        grid-template-areas: 
            "img title"
            "img subtitle";
        grid-template-columns: min-content max-content;
    }

    .intro__img {
        grid-area: img;
        min-width: 250px;
        position: relative;
        z-index: 2;
    }

    .section__subtitle--intro {
        align-self: flex-start;
        grid-column: -1 / 1;
        grid-row: 2;
        text-align: right;
        position: relative;
        left: -1.5em;
        width: calc(100% + 1.5em);
    }
}

.my-services {
    background-color: var(--clr-med);
    background-image: url(../images/services.jpg);
    background-size: cover;
    background-blend-mode: multiply;
    color: var(--clr-light);
    text-align: center;
}

.section__title--services {
    color: var(--clr-accent);
    position: relative;
}

.section__title--services::after {
    content: '';
    display: block;
    width: 2em;
    height: 1px;
    margin: 0.5em auto 1em;
    background: var(--clr-light);
    opacity: 0.25;
}
.services {
    margin-bottom: 4em;
}
.service {
    max-width: 500px;
    margin: 0 auto;
}
.service__list {
    font-size: var(--fs-body);
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
}
.service__item {
    margin: 1em 0;
    font-size: var(--fs-body);
}

/* .sevice h3 {
    padding-bottom: 1.25em;
} */

@media (min-width: 800px) {
    .services {
        display: flex;
        max-width: 1000px;
        margin-left: auto;
        margin-right: auto;
    }

    .service + .service {
        margin-left: 2em;
    }
}

.about-me {
    max-width: 1000px;
    margin: 0 auto;
}

.about-me__img {
   position: relative;
   top: -10;
}

@media (min-width: 600px) {
    .about-me {
        display: grid;
        grid-template-columns: 2fr 1fr;
        grid-template-areas: 
            "title img"
            "subtitle img"
            "text img";
        grid-column-gap: 2em;
    }

    
    .section__title--about {
        grid-area: title;
    }

    .section__subtitle--about {
        grid-column: 1 / -1;
        grid-row: 2;
        position: relative;
        left: -1em;
        width: calc(100% + 2em);
        padding-left: 1em;
        padding-right: calc(200px + 4em);
    }

    .about-me__img {
        grid-area: img;
        position: relative;
        z-index: 2;
    }
}

/* My Work */

.my-work {
    background-color: var(--clr-dark);
    color: var(--clr-light);
    text-align: center;
}

.section__subtitle--work {
    color: var(--clr-accent);
    font-weight: var(--fw-bold);
    margin-bottom: 2em;
}

.portfolio {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
}
.portfolio__item {
    margin: 1em 1em;
    background-color: var(--clr-med);
    overflow: hidden;
    max-height: 400px;
}
.portfolio__img {
    transition: transform 750ms cubic-bezier(.5,0,.5,1),
    opacity 250ms linear;
}
.portfolio__item:focus {
    position: relative;
    z-index: 2;
}

.portfolio__img:hover,
.portfolio__item:focus .portfolio__img {
    transform: scale(1.2);
    opacity: .55;
}

.popup {
    background-color: rgba(0, 0, 0, 0.85);
    height: 100vh;
    width: 100%;

    z-index: 3000;
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
    transition: all .3s; 
}

.popup:target {
    opacity: 1;
    visibility: visible; 
}
.popup:target .popup__content {
    opacity: 1;
    transform: translate(-50%, -50%) scale(.8); 
    margin: 30px;
}
.popup__close:link, .popup__close:visited {
    color: #444;
    position: absolute;
    top: 2.5rem;
    right: 2.5rem;
    font-size: 3rem;
    text-decoration: none;
    display: inline-block;
    transition: all .2s;
    line-height: 1; 
}
.popup__close:hover {
    color: #7aaa77; 
}
.popup__content {
    width: 80%;
    padding: 20px;
    background-color: #EEEEEE;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 2rem 4rem rgba(0, 0, 0, 0.2);
    border-radius: 3px;
    display: table;
    overflow: hidden;
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.25);
    transition: all .5s .2s; 
}
.popup__title {
    padding-bottom: .5em;
}

@media (max-width: 56.25em) {
    .popup__content {
        width: 100%;
        display: inline-block;
        transform: translate(0) scale(0);
    } 
}
.popup__left {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}
.popup__right {
    width: 66.6666667%;
    display: table-cell;
    vertical-align: middle;
    padding: 3rem 5rem; 
}
.popup__img {
    display: block;
    width: 100%; 
    padding-bottom: 20px;
}
.popup__text {
    font-size: 1.4rem;
    margin-bottom: 4rem;
}



.footer {
    background: #111;
    color: var(--clr-accent);
    text-align: center;
    padding: 2.5em 0 .5em;
    font-size: var(--fs-h3);
}

.footer a {
    color: inherit;
    text-decoration: none;
}

.footer__link {
   
    font-weight: var(--fw-bold);
}

.footer__link:hover,
.social-list__link:hover {
    opacity: .7;
}

.footer__link:hover {
    text-decoration: underline;
}

.social-list {
    list-style: none;
    display: flex;
    justify-content: center;
    margin: 2em 0 0;
    padding: 0;
}

.social-list__item {
    margin: 0 .5em;
}
.social-list__link {
    padding: .5em;
}

